Bug 1592359 - [iipsrv] Drop requirements for 'initscripts' from specfile
Summary: [iipsrv] Drop requirements for 'initscripts' from specfile
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: iipsrv
Version: 29
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Johan Cwiklinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1592330
TreeView+ depends on / blocked
 
Reported: 2018-06-18 13:09 UTC by David Kaspar [Dee'Kej]
Modified: 2019-10-08 19:29 UTC (History)
1 user (show)

Fixed In Version: iipsrv-1.1.0-1.0.fc31 iipsrv-1.1.0-1.0.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-30 07:09:07 UTC
Type: Bug


Attachments (Terms of Use)

Description David Kaspar [Dee'Kej] 2018-06-18 13:09:52 UTC
Hello!

Description of problem:
It appears your package depend on 'initscrits' package for some reason. However, most of the initscripts' dependants are no longer valid.

I hereby request you check your package/specfile, and either:
 * drop the initscripts dependancy and close this BZ, or
 * provide a justification in a comment for keeping the dependancy (without closing this BZ)

----------------------

NOTE: In case you are depending on initscripts because of networking scripts, then you will need to update your specfile to depend directly on new package 'network-scripts' (instead of 'initscripts').

If this is the case, please let us know in the comments and do not close the BZ  yet.

Additional info:
The requested change here is valid for Rawhide (F29) only. Do not backport these changes into F28 or F27, because it would break things.

Thank you for your co-operation! :)

 -- Dee'Kej --

Comment 1 Jan Kurik 2018-08-14 10:55:07 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 2 Fedora Update System 2019-09-29 20:50:27 UTC
FEDORA-2019-6c616756c6 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6c616756c6

Comment 3 Fedora Update System 2019-09-29 20:50:28 UTC
FEDORA-2019-be3cb92157 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-be3cb92157

Comment 4 Fedora Update System 2019-09-30 03:38:11 UTC
iipsrv-1.1.0-1.0.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6c616756c6

Comment 5 Fedora Update System 2019-09-30 03:45:51 UTC
iipsrv-1.1.0-1.0.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-be3cb92157

Comment 6 Johan Cwiklinski 2019-09-30 07:09:07 UTC
In facts, this has been fixed already.

Comment 7 Fedora Update System 2019-10-08 00:26:37 UTC
iipsrv-1.1.0-1.0.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2019-10-08 19:29:18 UTC
iipsrv-1.1.0-1.0.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.